<?php
/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: Reports.php 3312 2005-06-09 11:41:05Z andrew $
*/

/**
 * @package    MaxPlugins
 * @subpackage Reports
 * @author     Radek Maciaszek <radek@m3.net>
 */

require_once MAX_PATH . '/lib/max/Plugins/CommonPlugin.php';

/**
 *
 * Plugins_Reports is an abstract class for every Report plugin
 *
 * @static
 */
class Plugins_Reports extends Max_CommonPlugin 
{
    var $type;
    
    /**
     * Public info method
     *
     * @return string A string describing the class.
     */
    function info()
    {
        Max::debug('Cannot run abstract method');
        exit();
    }
    
    /**
     * Execute report calculations
     *
     * @return array An array that will contain the results of the
     *               GeoTargeting lookup.
     */
    function execute()
    {
        Max::debug('Cannot run abstract method');
        exit();
    }

}

?>